import React from 'react'
import PropTypes from 'prop-types'

function Button({text,color,onclick}) {
  return (
    <div>
          <button style={{background:color}} className='btn' onClick={onclick}>{text}</button>
    </div>
  )
}

Button.defaultProps={
    
}
Button.propTypes = {
text:PropTypes.string,
onclick:PropTypes.func
}

export default Button

