import React, { useState,useEffect } from "react";



function Form({addtask,onEdit,iseditTask,onEditData,isAddClose}) {
    const [text ,setText]=useState("");
    const [day ,setDay]=useState("");
    const [remainder ,setRemainder]=useState(false);
    const onsubmit=(e)=>{
        e.preventDefault();
      
    if(!iseditTask){
        addtask({text,day,remainder});
     
    }
    else{
      onEdit({text,day,remainder});
    }
    
    setText('');
    setDay('');
    setRemainder(false)
    }


    useEffect(()=>{
    
  console.log("hello",onEditData,iseditTask,isAddClose)
      if(onEditData!=null && iseditTask){

    
        setText(onEditData.text);
        setDay(onEditData.day);
        setRemainder(onEditData.remainder);
      }
     
    if(!iseditTask){
      setText('');
      setDay('');
      setRemainder(false)

    }

    },[onEditData,iseditTask])

  return (
    <div className={!isAddClose ? "form" :""}>
      <form onSubmit={onsubmit} className="form-control">
        <div className="form-input">
            <label>Task</label>
          <input type="text" required placeholder="Add Task" value={text} onChange={(e)=>setText(e.target.value)}></input>
        </div>
        <div className="form-input">
            <label>Day & Time</label>
          <input type="text" required placeholder="Add Day & Time" value={day} onChange={(e)=>setDay(e.target.value)}></input>
        </div>
        <div className="chkRemainder">
            <label>Set Remainder</label>
            <input type="checkbox"  className="check"  value={remainder} checked={remainder} onChange={(e)=>setRemainder(e.currentTarget.checked)}></input>
        </div>
        <button>Save Task</button>
      </form>
    </div>
  );
}

export default Form;
