import React, { useEffect } from "react";
import Button from "./Button";
import { useLocation } from "react-router-dom";
function Header({ showAdd, addtask}) {
const location=useLocation();
  return (
    <div className="header">
      <h2>Task Tracker</h2>
 
      {location.pathname==='/' && (<Button
          color={!showAdd ? "green" : "red"}
          text={!showAdd ? "Add" : "Close"}
          onclick={addtask}
   
        />)
      }

   
    
    </div>
  );
}

Header.propTypes = {};

export default Header;
